# $Revision: 1.20 $, $Date: 2004/04/11 11:31:58 $

%define		snap 20040214

Summary:	Tlen.pl client for gtk+2
Summary(pl):	Klient Tlen.pl dla gtk+2
Name:		tleenx2
Version:	0
Release:	0.%{snap}.2
License:	GPL
Group:		Applications/Communications
Source0:	http://dl.sourceforge.net/tleenx/TleenX2-%{snap}.tar.gz
# Source0-md5:	a9da1fdeb7d93ffe9a63b31aed4359ac
Source1:	http://tleenx.sourceforge.net/download/sounds/default.tar.gz
# Source1-md5:	964761f483c1a0a1421ca6ebc0a5ed22
Source2:	%{name}.desktop
Patch0:		%{name}-maninst.patch
Patch1:		%{name}-shared.patch
URL:		http://tleenx.sourceforge.net/
BuildRequires:	XFree86-libs >= 4.3.99.15
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+2-devel >= 2.0.0
BuildRequires:	libtlen-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TleenX is a Tlen.pl client written for Linux users. It is distributed
under GPL license.

%description -l pl
TleenX to klient tlen.pl napisany z myl o uytkownikach Linuksa.
Jest rozpowszechniany na licencji GPL.

%prep
%setup -q -n TleenX2-%{snap} -a1
%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_datadir}/%{name}/sounds,%{_desktopdir}}
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop
install default/* $RPM_BUILD_ROOT%{_datadir}/%{name}/sounds

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tleenx2.spec,v $
Revision 1.20  2004/04/11 11:31:58  qboosh
- fixed shared patch to work with lib64, release .2

Revision 1.19  2004/04/11 11:08:55  qboosh
- switched to vfolders (from dir which never existed!); release 1

Revision 1.18  2004/02/29 18:17:45  pawelb
- up to 20040214

Revision 1.17  2003/11/09 10:22:02  gotar
- patch1 is for XFree86-libs >= 4.3.99.15

Revision 1.16  2003/11/09 09:32:14  jack
- added desktop file

Revision 1.15  2003/11/09 00:14:31  gotar
- fixed building

Revision 1.14  2003/11/08 23:13:39  gotar
- BR: pkgconfig

Revision 1.13  2003/11/08 21:17:00  jack
- added sounds

Revision 1.12  2003/11/08 20:43:58  jack
- updated to 20031002 snap

Revision 1.11  2003/11/08 17:21:57  gotar
- BR: s/libtlen/libtlen-devel/

Revision 1.10  2003/05/28 13:02:17  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:27:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/05/08 18:06:36  krolik

- fixed warning about missing pixmaps
- new snapshot 20030508, log message missed in previus revision

Revision 1.7  2003/05/08 17:14:12  krolik

- added makefile patch, which provides manual installation
- STBR

Revision 1.6  2003/01/18 22:57:40  juandon
- removed two lines with define

Revision 1.5  2002/12/13 22:46:55  ankry
- adapterized

Revision 1.4  2002/11/25 12:25:27  qboosh
- removed %%{_mandir}/man? dir(s) from package

Revision 1.3  2002/11/23 02:16:26  aflinta
- updated to snap 20021123

Revision 1.2  2002/11/20 14:27:48  qboosh
- fixed file list, noted Source0 URL, BR: gtk+2-devel

Revision 1.1  2002/11/19 18:33:25  aflinta
- initial PLD release
